Transform discussion pages to a "real" forum
Closed, ResolvedPublic

Description

Author: spam

Description:
Not really a bug, but a feature request:
My idea is to transform the discussion pages to a real forum, as known from phpBB, Woltlab
Burning Board or vBulletin.

So each article would have one subforum, in which everyone can create a new thread. Other
users can answer these threads or create new ones. It should only be possible to edit your
own posts but not the ones from others.

The forum structure could be like this:
Wikipedia Forum
-Wikipedia intern
--Bugreports
--Proposals and criticism
-Articles
--(Subforum for each article)
-Users
--(Subforum for each users)
-Portals
--(Subforum for each portal)
and so on...

I think this way the discussions would be much more effective and purposeful.

At the the top of each discussion page there could be a notice where you are at the
moment:

You are here: [Wikipedia Forum] -> [Articles] -> [Foobar] -> [Delete this article?]

The most important thing is that the discussion is really organized in forums, subforums,
threads and posts, EXACTLY the way it is in the known Burning Boards.

--> swEEper (swEEper@xcite-online.de)


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz1234.
bzimport created this task.Via LegacyDec 30 2004, 12:38 PM
Wikinaut added a comment.Via ConduitDec 31 2004, 12:36 AM

(In reply to comment #0)

My idea is to transform the discussion pages to a real forum, as known from

phpBB, Woltlab

Burning Board or vBulletin. So each article would have one subforum

create a page called Article/Subforum

, in which everyone can create a new thread. Other
users can answer these threads or create new ones. It should only be possible

to edit your

own posts but not the ones from others.

This is a contradiction to the well-established Wiki principle.

The forum structure could be like this:
Wikipedia Forum
-Wikipedia intern
--Bugreports
--Proposals and criticism
-Articles
--(Subforum for each article)
-Users
--(Subforum for each users)
-Portals
--(Subforum for each portal)
and so on...
At the the top of each discussion page there could be a notice where you are

at the

moment:

You are here: [Wikipedia Forum] -> [Articles] -> [Foobar] -> [Delete this

article?]

The most important thing is that the discussion is really organized in forums,

subforums,

threads and posts, EXACTLY the way it is in the known Burning Boards.

Dear Sweeper,

I am using one of my standard MediaWiki installation for this purpose, i.e.
current MediaWiki software can already be used to "simulate" your structure.
See, how this could be achieved:

Simply create a page with such a name

Wikipedia_Forum/Wikipedia_intern/Bugreports/Proposals_and_criticism/Articles/Subforum/Thread_1

(The content of that page would be the plurality of postings in that Thread_1,
simulated by a sections, i.e. use "==" posting nn "==" to separate the single
postings)

You can simply "open" sub-pages which correspond to the different levels in a
forum/bulletinboard. The proposed navigation to higher levels is already
partially created by MediaWiki; the underlying structure can easily be built up
by using the [[category:]] feature of MediaWiki.

I suggest, that you try for examples as subpages to your User:page , what I
propose herein:

  • use many hierarchical sublevels, use "/" as separator in page names

in combination with

  • using categorization i.e. [[Category: ]]
  • You can use category sublevels as well.
  • use section separators to indicate the different postings.

The navigation bar you have proposed is currently present and automatically
added from bottom level pages to top level pages, but not from top to down
level, i.e. MediaWiki does currently not offer to show automatically all
subpages/sublevels of a certain page. However, a navigation bar can already be
added manually by using templates, see for example what I added on
http://meta.wikipedia.org/Enotif and accompanying pages.

Does this solve your problem ?

bzimport added a comment.Via ConduitFeb 13 2005, 12:53 AM

style wrote:

I must say I also propose the creation of real forums replacing the discussion pages. I am new to wikipedia and I tried to contribute to several discussions but I could not follow a single one of them.
The discussion pages are usually messed up and people seldomly sign their entries. I find this to be very discouraging.
~~~~

bzimport added a comment.Via ConduitJul 23 2005, 4:42 AM

jediarchives11 wrote:

I agree with comment #0 and #2. Often, wiki discussion pages can be hard to navigate,
understand and to determine who is saying what. Also, it seems like there should be a
different kind of page for discussion pages: right now they seem too much like regular article
pages. And, in my opinion, forums just feel better for conversation and discussion of the
topic at hand.

bzimport added a comment.Via ConduitOct 13 2005, 8:52 PM

robchur wrote:

Talk pages are used for storing more than just discussions. I personally dislike
the idea of a forum approach; a lot of wikis have a "remove personal attacks"
policy and so forth.

Following discussions can be difficult, but it is something one learns.
Indentation is sometimes messed up or misused, etc.

You could use a template similar to [[en:Template:Unsigned]] to mark unsigned
edits; use the page history to see who added the entry, and when.

bzimport added a comment.Via ConduitOct 14 2005, 2:11 AM

jediarchives11 wrote:

Forums can be used for more than just discussions also, by using the sticky feature or just
by making an annoucement. I don't see how a forum-like discussion page relates to "remove
personal attacks" policies.

More people will be instantly familiar with a forum-like approach, which makes it harder to
mess up/misuse indentation.

bzimport added a comment.Via ConduitOct 14 2005, 1:28 PM

robchur wrote:

I ought to have made it clear. The reference to removal of personal attacks is
one example of situations where it is desirable/required to be able to edit
posts from others.

bzimport added a comment.Via ConduitOct 14 2005, 5:46 PM

jediarchives11 wrote:

Ok, I understand now and see how that would be a concern. Readers would have to be given
more privileges then they are on most forums. Not sure if this would be possible on
existing forums, so a custom-designed one might be neccesary.

Dcoetzee added a comment.Via ConduitMay 31 2006, 11:55 PM

I'm very much in favour of this proposal and I am considering working on a prototype of
this feature in my own wiki (literateprograms.org). If I complete it I'll post here again.

My solution for deleting personal attacks and vandalism is simply to allow admins only to
delete posts. This might seem too restrictive, but because discussion pages are not part of
the "product" that readers are intended to see, I think it's okay to not remove such things
immediately. Also, I don't believe that removing such posts is an effective way of reducing
conflict.

bzimport added a comment.Via ConduitJun 1 2006, 12:09 AM

robchur wrote:

Note: One of our Summer of Code projects, LiquidThreads, will be
implementing/fulfilling this or similar.

bzimport added a comment.Via ConduitJun 1 2006, 3:14 AM

ayg wrote:

(In reply to comment #8)

My solution for deleting personal attacks and vandalism is simply to allow

admins only to

delete posts. This might seem too restrictive, but because discussion pages

are not part of

the "product" that readers are intended to see, I think it's okay to not

remove such things

immediately. Also, I don't believe that removing such posts is an effective

way of reducing

conflict.

Yes, but you neglect (for instance) the possibility of a template having to be
substed per [[WP:SUBST]] (such as {{test}} or other talk-page template
messages); a formatting error that causes the post to display in a confusing or
obnoxious manner (such as when newbies try indenting their text with initial
spaces); spam posts; etc. Wiki has shown the power and advantages of "soft
security".

And as for the case of personal attacks, [[WP:RPA]] is disputed, and it would be
unreasonable to impose a unilateral technical decision that decisively rejects
it. It should at least be a per-wiki option.

bzimport added a comment.Via ConduitFeb 25 2007, 11:40 PM

funnyman3595 wrote:

*** Bug 9111 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitFeb 25 2007, 11:44 PM

funnyman3595 wrote:

This may go without saying, but since I folded #9111 into this one, make sure
that the forum either participates in the watchlist system or has an equivalent
feature.

siebrand added a comment.Via ConduitFeb 2 2009, 11:58 AM

Resolved if one would use the LiquidThreads extension.

werdna added a comment.Via ConduitFeb 26 2009, 5:19 AM
  • Bug 17672 has been marked as a duplicate of this bug. ***
PiRSquared17 added a comment.Via ConduitApr 28 2014, 4:32 PM

(In reply to Siebrand Mazeland from comment #13)

Resolved if one would use the LiquidThreads extension.

Or Flow.

Add Comment